import random
import os

def initDir():
    if not os.path.exists("..\\tests"):
        os.mkdir("..\\tests")
    os.chdir("..")
    os.chdir("tests\\")

def out(a):
    global tests
    tests += 1
    out = open('%02d'%tests, 'w')
    print (a, file=out)
    
def randNInts(n, a, b):
    lst = []
    for i in range(n):
        lst.append(random.randint(a, b))
    return sorted(lst)
    

random.seed(577215664)
tests = 0    
initDir()

out(1)
out(3)

for i in range(4, 8):
    out(i)
    
for i in randNInts(7, 10, 10**3):
    out(i)
    
for i in randNInts(7, 10**5, 10**9):
    out(i)

for i in randNInts(8, 10**12, 10**18):
    out(i)
    
out((2**59) - 1)
out(10**18)
